Raw Transactions (Advanced)
1. Create a Bid Pool
This operation creates a bid pool for a specific collection.
Inialize bid pool
11011010trueSuccessful response
successfulServer error
POST /createLoanPool HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"interestrate": "1",
"graceperiod": "10",
"collection": "1",
"loanduration": "10",
"secret": "10",
"raw": true
}{
"msg": "successful"
}2. Get Bid Pool
This operation retrieves the bid pool.
Get all bid pool
Successful response
Server error
GET /getLoanPool HTTP/1.1
Accept: */*
[
{
"status": true,
"data": [
{
"publicKey": "text",
"account": {
"initializerKey": "text",
"collectionAddress": "text",
"loanDurationInMinutes": "text",
"gracePeriodInMinutes": "text",
"apy": 1,
"interestRateLender": 1,
"interestRateProtocol": 1,
"totalBidManager": "text",
"lastBidLamports": "text"
}
}
]
}
]3. Add Liquidity
This operation adds liquidity to a created Bid Pool.
Initialize a bid manager
110010abcdfalseSuccessful response
successfulServer error
POST /addLoanOffer HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 83
{
"biddingool": "1",
"bidamount": "100",
"totalbids": "10",
"secret": "abcd",
"raw": "false"
}{
"msg": "successful"
}4. Get Bid Manager
This operation retrieves the bid manager.
get All bid managers
Successful response
Server error
GET /getLoanOffers HTTP/1.1
Accept: */*
[
{
"status": true,
"data": [
{
"publicKey": "text",
"account": {
"bidderPubkey": "text",
"biddingAmountInLamports": "text",
"biddingNftFloorPrice": 1,
"biddingPoolAddress": "text",
"borrowersNftTokenAccountAddress": "text",
"borrowersAddress": "text",
"biddingManagerBump": 1,
"totalBids": "text",
"pendingLoans": "text"
}
}
]
}
]5. Get User Assets
This operation retrieves the assets of a specific user.
6. Get Asset Manager
This operation retrieves the asset manager.
Retrieves the assets owned by a specific user.
7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3hSuccessful response
Server error
GET /getAssetInfo/{mint} HTTP/1.1
Accept: */*
[
{
"publicKey": "text",
"account": {
"initializerKey": "text",
"initializerTokenAccount": "text",
"mint": "text",
"holder": "text",
"collection": "text",
"rate": "text",
"offerExpiry": "text",
"rentExpiry": "text",
"state": {
"stale": {}
},
"minDuration": "text",
"fixedDuration": "text",
"ownerRevenue": "text",
"holderTokenAccount": "text",
"whitelist": "text",
"loanExpiry": "text",
"bidManagerKey": "text",
"rentIsFixed": true,
"lockedInVault": true,
"vaultAccount": "text"
}
}
]7. Take Loan
Collection holders can claim loan on their NFTs.
Loan on list bid manager
111abcdfalseSuccessful response
successfulServer error
POST /processLoan HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 82
{
"biddingpool": "1",
"biddingmanager": "1",
"nftmint": "1",
"secret": "abcd",
"raw": false
}{
"msg": "successful"
}8. Repay Loan
Repay loan already taken by the user.
Repay an Loan
7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h11abcdfalseSuccessful response
successfulServer error
POST /repayLoan HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 132
{
"biddingpoolaccount": "7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h",
"biddingmanager": "1",
"nftmint": "1",
"secret": "abcd",
"raw": false
}{
"msg": "successful"
}9. Remove Liquidity
Liquidity providers can remove provided liquidity.
Cancel a bidding manager
7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h1abcdfalseSuccessful response
successfulServer error
POST /removeLoanOffer HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"biddingpool": "7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h",
"biddingmanager": "1",
"secret": "abcd",
"raw": false
}{
"msg": "successful"
}Last updated